Omni.kit.widget.live_session_management.ui could not be loaded

Hey ho,

I’m currently stuck trying to get the Unity Connector to work. The “Export” or “Import” option from the Unity “Omniverse” menu does not open a file dialog.
If I drop a .usd file with the linked textures, that I created in the composer with a simple OmniPBRBase material, in the Unity content browser the geometry is imported but the mdl materials are not converted and provided with the textures.

This is my log:

[Info] [omni.connect.core] Connecting to [omniverse://kit-extensions.ov.nvidia.com]
[Error] [omni.connect.core] Connection to [omniverse://kit-extensions.ov.nvidia.com] failed
[Error] [omni.kit.registry.nucleus.index_v2.index_sync] Syncing registry index failed for url: 'omniverse://kit-extensions.ov.nvidia.com/exts/kit/default/v2'. Exception: Failed to read main registry file: 'omniverse://kit-extensions.ov.nvidia.com/exts/kit/default/v2/registry.gz'
[Error] [omni.ext.plugin] Syncing extension registry failed: registry dict is nullptr.
[Error] [omni.ext.plugin] Failed to resolve extension dependencies. Failure hints:
	Can't find extension with name: omni.kit.widget.live_session_management.ui
Available versions:
	 (none found)
 
[Error] [omni.connect.ui] omni.connect.ui.selectImportUri failed in python: ValueError: omni.kit.widget.live_session_management.ui could not be loaded
 
At:
  c:\users/username/appdata/local/ov/pkg/unity-connector-202.0.0/com.nvidia.omniverse.connector/editor/omniverse/plugins/python\omni\connect\ui\__init__.py(84): <module>
<frozen importlib._bootstrap>(241): _call_with_frames_removed
<frozen importlib._bootstrap_external>(883): exec_module
<frozen importlib._bootstrap>(703): _load_unlocked
<frozen importlib._bootstrap>(1006): _find_and_load_unlocked
<frozen importlib._bootstrap>(1027): _find_and_load

I’m using Unity 2022.3.24f1 and Unity Connector 202.0.0 with USD Composer 2023.2.5

Same question, my unity connect version is: 202.0.0 Beta
This is the same error log as yours:
UnityConnector_20240423_111242.log (1.3 KB)

My guess is that there is a version issue with the Unity Connect code


My omniverse is version 1.9.11, the latest version,
But the kit package seems to have incompatible versions
There is no omni. kit. widget. live_session_management. ui at all!

I downgraded the version of Unity Omniverse Connector to Unity 201.0.0 Beta, and everything was fine!
So there should be some issues with the 202.0.0 version of Unity Connector, and we are looking forward to the official fix. Thank you very much!

We’re sorry for the inconvenience. We are working on a patch.

Kind regards,
Kevin

Please update to the latest version of the Unity connector v202.0.1 which includes a fix for this issue.

1 Like

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.